<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>cells-login-dm demo</title>
    <script src="../build/webcomponents-loader.js"></script>
    <script src="../build/scoping-ambients-shim.min.js"></script>
    <script src="../build/custom-style-interface.min.js"></script>
    <script>
      {
        const _customElementsDefine = window.customElements.define;
        window.customElements.define = (name, cl, conf) => {
          if (customElements.get(name)) {
            console.warn(`${name} has been defined twice`);
          } else {
            _customElementsDefine.call(window.customElements, name, cl, conf);
          }
        };
      }
    </script>
    <script defer src="../build/component.js"></script>
    <script type="module" crossorigin="use-credentials">
      import '../build/demo-build.js';
    </script>
  </head>

  <body>
    <bbva-core-demo-helper events = '["request-success", "request-error"]'>
      <bbva-core-demo-case heading="Basic" description="Default specs">
        <template>
          <bbva-web-form-text id="usuario" label="usuario" value="L76916089"></bbva-web-form-text>
          <bbva-web-form-text id="password" label="password" value="bbva01"></bbva-web-form-text>
          <bbva-web-form-text id="consumerID" label="consumerID" value="13000013"></bbva-web-form-text>
          <bbva-web-button-default id="btnLogin" >Login</bbva-web-button-default>

          <cells-login-dm id="dm"></cells-login-dm>

          <script>
            const usuario = document.getElementById('usuario');
            const password = document.getElementById('password');
            const consumerID = document.getElementById('consumerID');
            const btnLogin = document.getElementById('btnLogin');
            const dm = document.getElementById('dm');

            btnLogin.addEventListener('click', () => {
              dm.login(usuario.value, password.value, consumerID.value);
            });
          </script>
        </template>
      </bbva-core-demo-case>
    </bbva-core-demo-helper>
  </body>
</html>
